org.eclipse.jetty.webapp

## Class WebDescriptor

- java.lang.Object
- - org.eclipse.jetty.webapp.Descriptor
  - - org.eclipse.jetty.webapp.WebDescriptor

Direct Known Subclasses:
  DefaultsDescriptor, FragmentDescriptor, OverrideDescriptor

    public class WebDescriptor
    extends Descriptor

Descriptor A web descriptor (web.xml/web-defaults.xml/web-overrides.xml).

### Field Summary

Fields
`protected ArrayList<String>` `_classNames`
`protected boolean` `_distributable`
`protected boolean` `_isOrdered`
`protected int` `_majorVersion`
`protected MetaDataComplete` `_metaDataComplete`
`protected int` `_minorVersion`
`protected List<String>` `_ordering`
`protected static XmlParser` `_parserSingleton`

### Fields inherited from class org.eclipse.jetty.webapp.Descriptor

`_parser, _root, _validating, _xml`

### Constructor Summary

Constructors
Constructor and Description
`WebDescriptor(Resource xml)`

### Method Summary

Methods
`void` `addClassName(String className)`
`void` `ensureParser()`
`ArrayList<String>` `getClassNames()`
`int` `getMajorVersion()`
`MetaDataComplete` `getMetaDataComplete()`
`int` `getMinorVersion()`
`List<String>` `getOrdering()`
`boolean` `isDistributable()`
`boolean` `isOrdered()`
`XmlParser` `newParser()`
`void` `parse()`
`void` `processOrdering()`
`void` `processVersion()`
`void` `setDistributable(boolean distributable)`
`void` `setValidating(boolean validating)`

### Methods inherited from class org.eclipse.jetty.webapp.Descriptor

`getResource, getRoot, redirect, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### _parserSingleton

    protected static XmlParser _parserSingleton

#### _metaDataComplete

    protected MetaDataComplete _metaDataComplete

#### _majorVersion

    protected int _majorVersion

#### _minorVersion

    protected int _minorVersion

#### _classNames

    protected ArrayList<String> _classNames

#### _distributable

    protected boolean _distributable

#### _isOrdered

    protected boolean _isOrdered

#### _ordering

    protected List<String> _ordering

### Constructor Detail

#### WebDescriptor

    public WebDescriptor(Resource xml)

### Method Detail

#### ensureParser

    public void ensureParser()
                      throws ClassNotFoundException

Specified by:
  `ensureParser` in class `Descriptor`
Throws:
  `ClassNotFoundException`

#### newParser

    public XmlParser newParser()
                        throws ClassNotFoundException

Specified by:
  `newParser` in class `Descriptor`
Throws:
  `ClassNotFoundException`

#### parse

    public void parse()
               throws Exception

Overrides:
  `parse` in class `Descriptor`
Throws:
  `Exception`

#### getMetaDataComplete

    public MetaDataComplete getMetaDataComplete()

#### getMajorVersion

    public int getMajorVersion()

#### getMinorVersion

    public int getMinorVersion()

#### processVersion

    public void processVersion()

#### processOrdering

    public void processOrdering()

#### addClassName

    public void addClassName(String className)

#### getClassNames

    public ArrayList<String> getClassNames()

#### setDistributable

    public void setDistributable(boolean distributable)

#### isDistributable

    public boolean isDistributable()

#### setValidating

    public void setValidating(boolean validating)

Overrides:
  `setValidating` in class `Descriptor`

#### isOrdered

    public boolean isOrdered()

#### getOrdering

    public List<String> getOrdering()